<?php

namespace App\Utils;



use Illuminate\Support\Facades\Response;

class ApiResponse
{
//    /**
//     * 成功的时候返回结果
//     * @param $data 返回数据集合
//     */
//    public static function success($data)
//    {
//        return apiResponse('200','操作成功',$data);
//    }

//    /**
//     * 失败的时候返回结果
//     */
//    public function fail($data)
//    {
//        return $this->apiResponse('500','操作失败',$data=[]);
//    }

//    /**
//     * 直接返回说明
//     */
//    public function message($message)
//    {
//        return "$message";
//    }


    /**
     * 参数返回
     * @param $code //状态码
     * @param $message //返回说明
     * @param $data //返回数据集合
     */
    public static function apiResponse($code, $message, $data = null,$status = 200)
    {
        if ($data == null){
           $content = [
                'code' => $code,
                'message'  => $message,
            ];
        } else {
            $content = [
                'code' => $code,
                'message'  => $message,
                'data' => $data
            ];
        }

        return Response::json($content,$status);
    }

}
